# Detect the distribution in use
%global __despace head -n 1 | tr -d '[:space:]' | sed -e 's/[(].*[)]//g'
%global __lower4 cut -c 1-4 | tr '[:upper:]' '[:lower:]'
%global __distfile %([ -f /etc/SuSE-release ] && echo /etc/SuSE-release || echo /etc/redhat-release)
%global __distinit %(sed -e 's/ release .*//' -e 's/\\([A-Za-z]\\)[^ ]*/\\1/g' %{__distfile} | %{__despace} | %{__lower4})
%global __distvers %(sed -e 's/.* release \\([^. ]*\\).*/\\1/' %{__distfile} | %{__despace})
# Identify CentOS Linux and Scientific Linux as rhel
%if "%{__distinit}" == "c" || "%{__distinit}" == "cl" || "%{__distinit}" == "sl" || "%{__distinit}" == "sls"
%global __distinit rhel
%endif
# Dist tag for Fedora is still "fc"
%if "%{__distinit}" == "f"
%global __distinit fc
%endif

Name:		perl-XML-SAX-Base
Summary:	Base class SAX Drivers and Filters
Version:	1.08
Release:	3.%{__distinit}%{__distvers}
# This module is split from XML::SAX, which is licensed same as perl
License:	GPL+ or Artistic
Group:		Development/Libraries
URL:		http://search.cpan.org/dist/XML-SAX-Base/
Source0:	http://search.cpan.org/CPAN/authors/id/G/GR/GRANTM/XML-SAX-Base-%{version}.tar.gz
Patch0:		XML-SAX-Base-1.06-old-EU::MM.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(id -nu)
BuildArch:	noarch
BuildRequires:	perl(base)
BuildRequires:	perl(Carp)
BuildRequires:	perl(ExtUtils::MakeMaker)
BuildRequires:	perl(File::Spec)
BuildRequires:	perl(Test)
BuildRequires:	perl(Test::More)
BuildRequires:	perl(Test::Pod)
Requires:	perl(:MODULE_COMPAT_%(perl -MConfig -e 'print $Config{version}'))

%description
This module has a very simple task - to be a base class for PerlSAX drivers
and filters. Its default behavior is to pass the input directly to the output
unchanged. It can be useful to use this module as a base class so you don't
have to, for example, implement the characters() callback.

The main advantages that it provides are easy dispatching of events the right
way (i.e. it takes care for you of checking that the handler has implemented
that method, or has defined an AUTOLOAD), and the guarantee that filters will
pass along events that they aren't implementing to handlers downstream that
might nevertheless be interested in them.

%prep
%setup -q -n XML-SAX-Base-%{version}

# The ubiquitous ExtUtils::MakeMaker < 6.31 patch for Dist::Zilla dists
%patch0 -p1

# Avoid non-executable script complaints from rpmlint
chmod -c +x BuildSAXBase.pl

%build
perl Makefile.PL INSTALLDIRS=vendor
make

%install
rm -rf %{buildroot}
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name .packlist -exec rm -f {} \;
%{_fixperms} %{buildroot}

%check
make test RELEASE_TESTING=1

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc Changes README
%{perl_vendorlib}/XML/
%{_mandir}/man3/XML::SAX::Base.3pm*
%{_mandir}/man3/XML::SAX::BuildSAXBase.3pm*
%{_mandir}/man3/XML::SAX::Exception.3pm*

%changelog
* Sun Jun 24 2012 Paul Howarth <paul@city-fan.org> - 1.08-3
- BR: perl(base), perl(File::Spec)  and perl(Test)
- Don't need to remove empty directories from the buildroot
- Drop support for old distributions prior to FC-3:
  - Don't need to define %%{perl_vendorlib}
  - Use DESTDIR rather than PERL_INSTALL_ROOT

* Wed Sep 14 2011 Paul Howarth <paul@city-fan.org> - 1.08-1
- Update to 1.08
  - Rename BuildSAXBase.PL => BuildSAXBase.pl
  - Add link to Perl SAX API Reference
- BR: perl(Carp)
- Package manpage for XML::SAX::BuildSAXBase
- Avoid non-executable script complaints from rpmlint

* Sun Sep 11 2011 Paul Howarth <paul@city-fan.org> - 1.07-1
- Update to 1.07
  - Modify BuildSAXBase.PL to include version stanzas when run manually
  - Make BuildSAXBase.PL harmless unless run with --force option

* Thu Sep  8 2011 Paul Howarth <paul@city-fan.org> - 1.06-1
- Update to 1.06
  - Switch distribution to use Dist::Zilla for packaging
  - Generate XML/SAX/Base.pm at release time rather than install time
  - Don't generate XML/SAX/Exception at all - it's static
  - Add git repo to metadata
- Add the ubiquitous ExtUtils::MakeMaker < 6.31 patch for Dist::Zilla dists
- Don't need to exclude placeholder.pl now that upstream doesn't install it
- BR: perl(Test::More) and perl(Test::Pod)
- Enable RELEASE_TESTING

* Mon Sep  5 2011 Paul Howarth <paul@city-fan.org> - 1.05-1
- Initial RPM version, split off from perl-XML-SAX
